config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.bacula.new
config etc/bacula/bacula-fd.conf.new
config etc/bacula/bconsole.conf.new
( cd usr/lib64 ; rm -rf libbac.so )
( cd usr/lib64 ; ln -sf libbac-9.6.7.so libbac.so )
( cd usr/lib64 ; rm -rf libbaccfg.so )
( cd usr/lib64 ; ln -sf libbaccfg-9.6.7.so libbaccfg.so )
( cd usr/lib64 ; rm -rf libbacfind.so )
( cd usr/lib64 ; ln -sf libbacfind-9.6.7.so libbacfind.so )
